commit:     ef86a051b8785f5bf5885952e9508ef52711f4de
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 20 16:24:20 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 16:33:23 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef86a051

app-crypt/p11-kit: version bump

Closes: https://bugs.gentoo.org/show_bug.cgi?id=658558
Closes: https://bugs.gentoo.org/show_bug.cgi?id=655352
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-crypt/p11-kit/Manifest               |  1 +
 app-crypt/p11-kit/p11-kit-0.23.12.ebuild | 60 ++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/app-crypt/p11-kit/Manifest b/app-crypt/p11-kit/Manifest
index e9d4e8a0e77..e3f202dbb2b 100644
--- a/app-crypt/p11-kit/Manifest
+++ b/app-crypt/p11-kit/Manifest
@@ -1,2 +1,3 @@
+DIST p11-kit-0.23.12.tar.gz 1257028 BLAKE2B 
8add003ad298b7c4548c40f863835e9aae4234a66a4b216149be7c473f2b3b7ffb633b95883d58e5b039c974dd8571e56e23f6dcc77e484672605e6178d75ad2
 SHA512 
ae43b1f6ba5400cf5ae7b64b8c93aa47e5c7ee927196828600fd88beb6fdf6bcb6a63bc822d356757255638f9fbf10896e0604e32a1332a9a833836fa0468726
 DIST p11-kit-0.23.2.tar.gz 1022733 BLAKE2B 
09d1e1c9c9cc9bd330923f6aa37026b6f3b67fd728e4fdf2c692f0eaa1a27b1a045c263ba66d57063b8a03f8dc1ccd4d20bf5f255fc6e21d8ea600696f45d9ea
 SHA512 
b665d89f0d752a41b01ec53e29c801c4fdcaf3f21fce524984b10acef0477ad5dbac085edd35ffb747423d0e1e09660b8d29501c979cf54937d3b9d2561cf18f
 DIST p11-kit-0.23.9.tar.gz 1091561 BLAKE2B 
9ad061e703f8a7bcf677d974316adc3c96c34765bcee9834e65850b16fd7afa6ab2ffade18a65b99b85ec1af877d74938cf9369797f914d622c15e218801351a
 SHA512 
6a8a569483763d3ffacadf669b8ba9b9be38a77dd8dc366ca0cb91c44753517fa1879d4422e4e8dfbcac594565727839a619566a170c0f94f8e112f18b0086ed

diff --git a/app-crypt/p11-kit/p11-kit-0.23.12.ebuild 
b/app-crypt/p11-kit/p11-kit-0.23.12.ebuild
new file mode 100644
index 00000000000..cb5f5dc036b
--- /dev/null
+++ b/app-crypt/p11-kit/p11-kit-0.23.12.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit ltprune multilib-minimal
+
+DESCRIPTION="Provides a standard configuration setup for installing PKCS#11"
+HOMEPAGE="https://p11-glue.freedesktop.org/p11-kit.html 
https://github.com/p11-glue/p11-kit";
+SRC_URI="https://github.com/p11-glue/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~arm-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asn1 debug +libffi +trust"
+REQUIRED_USE="trust? ( asn1 )"
+
+RDEPEND="asn1? ( >=dev-libs/libtasn1-3.4[${MULTILIB_USEDEP}] )
+       libffi? ( >=dev-libs/libffi-3.0.0[${MULTILIB_USEDEP}] )
+       trust? ( app-misc/ca-certificates )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+pkg_setup() {
+       # disable unsafe tests, bug#502088
+       export FAKED_MODE=1
+}
+
+src_prepare() {
+       if [[ ${CHOST} == *-solaris2.* && ${CHOST##*-solaris2.} -lt 11 ]] ; then
+               # Solaris 10 and before doesn't know about XPG7 
(XOPEN_SOURCE=700)
+               # drop to XPG6 to make feature_tests.h happy
+               sed -i -e '/define _XOPEN_SOURCE/s/700/600/' common/compat.c || 
die
+               # paths.h isn't available, oddly enough also not used albeit 
included
+               sed -i -e '/#include <paths.h>/d' trust/test-trust.c || die
+               # we don't have SUN_LEN here
+               sed -i -e 's/SUN_LEN \(([^)]\+)\)/strlen (\1->sun_path)/' \
+                       p11-kit/server.c || die
+       fi
+       default
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable trust trust-module) \
+               $(use_with trust trust-paths 
${EPREFIX}/etc/ssl/certs/ca-certificates.crt) \
+               $(use_enable debug) \
+               $(use_with libffi) \
+               $(use_with asn1 libtasn1)
+
+       if multilib_is_native_abi; then
+               # re-use provided documentation
+               ln -s "${S}"/doc/manual/html doc/manual/html || die
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       prune_libtool_files --modules
+}

Reply via email to